<?php 
    $brands = $this->brands;
    $status = $this->status;
    $queryHtml = $this->queryHtml;
?>
<div class="col-md-12">
    <div class="search-results">
        <h4>SEARCH RESULTS FOR</h4>
        <?php if(!empty(trim($queryHtml))){ ?>
            <h2><?= $queryHtml ?></h2>
        <?php } ?>

        <?php if($status == 'not found'){ ?>
            <h3>Sorry, but we couldn't find any matching pages see discover for more results...</h3>
        <?php } ?>
    </div>

        <div class="search-container">

            <?php if($status == 'not found'){ ?>
                <div class="search-title">
                    <h1>DISCOVER BRANDS</h1>
                </div>
                <div class="search-nav">
                    <ul>
                        <li class="active">
                            <a href="<?= $this->url('discovery') ?>?action=popular"><span>Popular</span></a>
                        </li>
                        <li>
                            <a href="<?= $this->url('discovery') ?>?action=latest"><span>Latest</span></a>
                        </li>
                        <li class="last">
                            <a href="<?= $this->url('discovery') ?>?action=new"><span>New</span></a>
                        </li>
                        <div class="clear"></div>
                    </ul>
                </div>
                <div class="clear"></div>
            <?php } ?>
            
            <!-- search items comes here -->
            <div class="search-items">
                
                <?php $cnt = 0; foreach($brands as $brand){ ?>
                    <?php 
                        $postImage = '';
                        $postTitle = '';
                        $postContent = '';
                        foreach($brand->posts as $post)
                        {
                            $postTitle = $post->postTitle;
                            $postContent = $post->postContent;
                            
                            $images = json_decode($post->postImageData);
                            $postImage = $images[0]->url;
                        }
                        
                        $lastCls = '';
                        if($cnt != 0 && $cnt % 3 == 0)
                        {
                            $lastCls = 'last-search';
                        }
                    ?>
                    <div class="item-search <?= $lastCls ?>">
                        <a class="search-box" href="<?= $this->url('brand', ['url' => $brand->url]) ?>">
                            <div class="item-search-cover image-frame cover-image">
                                <div data-image="<?= $postImage ?>" style="background-image: url('<?= $postImage ?>');"></div>
                                <img class="img-responsive shadow-image" src="<?= $postImage ?>" alt="">
                            </div>
                            <div class="item-search-desc">
                                <h1 class="search-title-one"><?= $brand->name ?></h1>
                                <div class="avatar-search">
                                    <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
                                </div>
                                <div class="clear"></div>
                                <h2><?= $postTitle ?></h2>
                                <p><?= $postContent ?></p>
                            </div>
                        </a>
                    </div>
                <?php $cnt++; } ?>
                
            </div>
            <!-- end of search items -->
        </div>
</div>